Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab 3.3.sln
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab 3.3.sln	(revision 7664)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab 3.3.sln	(revision 7665)
@@ -20,5 +20,5 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Optimization.Views-3.3", "HeuristicLab.Optimization.Views\3.3\HeuristicLab.Optimization.Views-3.3.csproj", "{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.Instances.Views-3.4", "HeuristicLab.Problems.Instances.Views\3.4\HeuristicLab.Problems.Instances.Views-3.4.csproj", "{1BFDCC58-E228-46DE-A36E-8503194B434D}"
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.Instances.Views-3.4", "HeuristicLab.Problems.Instances.Views\3.4\HeuristicLab.Problems.Instances.Views-3.4.csproj", "{B1BA398F-953F-4C3A-B07B-1E5E17A27DD9}"
 EndProject
 Global
@@ -122,17 +122,16 @@
 		{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}.Release|x86.ActiveCfg = Release|x86
 		{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}.Release|x86.Build.0 = Release|x86
-		{1BFDCC58-E228-46DE-A36E-8503194B434D}.Debug|Any CPU.ActiveCfg = Debug|x86
-		{1BFDCC58-E228-46DE-A36E-8503194B434D}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
-		{1BFDCC58-E228-46DE-A36E-8503194B434D}.Debug|Mixed Platforms.Build.0 = Debug|x86
-		{1BFDCC58-E228-46DE-A36E-8503194B434D}.Debug|x64.ActiveCfg = Debug|x86
-		{1BFDCC58-E228-46DE-A36E-8503194B434D}.Debug|x86.ActiveCfg = Debug|x86
-		{1BFDCC58-E228-46DE-A36E-8503194B434D}.Debug|x86.Build.0 = Debug|x86
-		{1BFDCC58-E228-46DE-A36E-8503194B434D}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{1BFDCC58-E228-46DE-A36E-8503194B434D}.Release|Any CPU.Build.0 = Release|Any CPU
-		{1BFDCC58-E228-46DE-A36E-8503194B434D}.Release|Mixed Platforms.ActiveCfg = Release|x86
-		{1BFDCC58-E228-46DE-A36E-8503194B434D}.Release|Mixed Platforms.Build.0 = Release|x86
-		{1BFDCC58-E228-46DE-A36E-8503194B434D}.Release|x64.ActiveCfg = Release|x86
-		{1BFDCC58-E228-46DE-A36E-8503194B434D}.Release|x86.ActiveCfg = Release|x86
-		{1BFDCC58-E228-46DE-A36E-8503194B434D}.Release|x86.Build.0 = Release|x86
+		{B1BA398F-953F-4C3A-B07B-1E5E17A27DD9}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{B1BA398F-953F-4C3A-B07B-1E5E17A27DD9}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{B1BA398F-953F-4C3A-B07B-1E5E17A27DD9}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
+		{B1BA398F-953F-4C3A-B07B-1E5E17A27DD9}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
+		{B1BA398F-953F-4C3A-B07B-1E5E17A27DD9}.Debug|x64.ActiveCfg = Debug|Any CPU
+		{B1BA398F-953F-4C3A-B07B-1E5E17A27DD9}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{B1BA398F-953F-4C3A-B07B-1E5E17A27DD9}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{B1BA398F-953F-4C3A-B07B-1E5E17A27DD9}.Release|Any CPU.Build.0 = Release|Any CPU
+		{B1BA398F-953F-4C3A-B07B-1E5E17A27DD9}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
+		{B1BA398F-953F-4C3A-B07B-1E5E17A27DD9}.Release|Mixed Platforms.Build.0 = Release|Any CPU
+		{B1BA398F-953F-4C3A-B07B-1E5E17A27DD9}.Release|x64.ActiveCfg = Release|Any CPU
+		{B1BA398F-953F-4C3A-B07B-1E5E17A27DD9}.Release|x86.ActiveCfg = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Optimization.Views/3.3/HeuristicLab.Optimization.Views-3.3.csproj
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Optimization.Views/3.3/HeuristicLab.Optimization.Views-3.3.csproj	(revision 7664)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Optimization.Views/3.3/HeuristicLab.Optimization.Views-3.3.csproj	(revision 7665)
@@ -325,5 +325,5 @@
   <ItemGroup>
     <ProjectReference Include="..\..\HeuristicLab.Problems.Instances.Views\3.4\HeuristicLab.Problems.Instances.Views-3.4.csproj">
-      <Project>{1BFDCC58-E228-46DE-A36E-8503194B434D}</Project>
+      <Project>{B1BA398F-953F-4C3A-B07B-1E5E17A27DD9}</Project>
       <Name>HeuristicLab.Problems.Instances.Views-3.4</Name>
     </ProjectReference>
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Optimization.Views/3.3/ProblemInstanceProviderView.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Optimization.Views/3.3/ProblemInstanceProviderView.cs	(revision 7664)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Optimization.Views/3.3/ProblemInstanceProviderView.cs	(revision 7665)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Optimization.Views {
   [View("ProblemInstanceProviderView")]
-  [Content(typeof(IProblemInstanceProvider<>), IsDefaultView = true)]
+  [Content(typeof(IProblemInstanceProvider<>), IsDefaultView = false)]
   public partial class ProblemInstanceProviderView<T> : AsynchronousContentView {
 
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Optimization.Views/3.3/ProblemView.Designer.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Optimization.Views/3.3/ProblemView.Designer.cs	(revision 7664)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Optimization.Views/3.3/ProblemView.Designer.cs	(revision 7665)
@@ -76,7 +76,7 @@
       // problemInstanceSplitContainer
       // 
-      this.problemInstanceSplitContainer.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.problemInstanceSplitContainer.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.problemInstanceSplitContainer.FixedPanel = System.Windows.Forms.FixedPanel.Panel1;
       this.problemInstanceSplitContainer.IsSplitterFixed = true;
@@ -102,13 +102,13 @@
       // problemInstanceConsumerView
       // 
-      this.problemInstanceConsumerView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.problemInstanceConsumerView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.problemInstanceConsumerView.Caption = "ProblemInstanceProviderView";
       this.problemInstanceConsumerView.Content = null;
-      this.problemInstanceConsumerView.Location = new System.Drawing.Point(0, 0);
+      this.problemInstanceConsumerView.Location = new System.Drawing.Point(0, 1);
       this.problemInstanceConsumerView.Name = "problemInstanceConsumerView";
       this.problemInstanceConsumerView.ReadOnly = false;
-      this.problemInstanceConsumerView.Size = new System.Drawing.Size(511, 25);
+      this.problemInstanceConsumerView.Size = new System.Drawing.Size(511, 23);
       this.problemInstanceConsumerView.TabIndex = 0;
       // 
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Optimization.Views/3.3/ProblemView.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Optimization.Views/3.3/ProblemView.cs	(revision 7664)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Optimization.Views/3.3/ProblemView.cs	(revision 7665)
@@ -20,4 +20,5 @@
 #endregion
 
+using System.Linq;
 using System.Windows.Forms;
 using HeuristicLab.Core.Views;
@@ -46,12 +47,15 @@
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      //Check if IProblem implements IProblemInstancesConsumer interface
-      problemInstanceConsumerView.Content = (IProblemInstanceConsumer)Content;
-      problemInstanceSplitContainer.Panel1Collapsed = !problemInstanceConsumerView.ContainsProviders();
+      if (Content != null && CheckForIProblemInstanceConsumer(Content)) {
+        problemInstanceConsumerView.Content = (IProblemInstanceConsumer)Content;
+        problemInstanceSplitContainer.Panel1Collapsed = !problemInstanceConsumerView.ContainsProviders();
+      } else {
+        problemInstanceSplitContainer.Panel1Collapsed = true;
+      }
       SetEnabledStateOfControls();
     }
 
-    protected override void SetEnabledStateOfControls() {
-      base.SetEnabledStateOfControls();
+    protected bool CheckForIProblemInstanceConsumer(IProblem Content) {
+      return Content.GetType().GetInterfaces().Any(x => x.IsInterface && x.Equals(typeof(IProblemInstanceConsumer)));
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression.Views/3.4/HeuristicLab.Problems.Instances.Regression.Views-3.4.csproj
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression.Views/3.4/HeuristicLab.Problems.Instances.Regression.Views-3.4.csproj	(revision 7664)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression.Views/3.4/HeuristicLab.Problems.Instances.Regression.Views-3.4.csproj	(revision 7665)
@@ -76,11 +76,11 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.Optimization.Views\3.3\HeuristicLab.Optimization.Views-3.3.csproj">
-      <Project>{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}</Project>
-      <Name>HeuristicLab.Optimization.Views-3.3</Name>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Problems.Instances.Regression\3.4\HeuristicLab.Problems.Instances.Regression-3.4.csproj">
       <Project>{26BF13E1-C8B2-4ACE-862D-EBFD360116B3}</Project>
       <Name>HeuristicLab.Problems.Instances.Regression-3.4</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.Instances.Views\3.4\HeuristicLab.Problems.Instances.Views-3.4.csproj">
+      <Project>{B1BA398F-953F-4C3A-B07B-1E5E17A27DD9}</Project>
+      <Name>HeuristicLab.Problems.Instances.Views-3.4</Name>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Problems.Instances\3.3\HeuristicLab.Problems.Instances-3.3.csproj">
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression.Views/3.4/Properties/AssemblyInfo.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression.Views/3.4/Properties/AssemblyInfo.cs	(revision 7664)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression.Views/3.4/Properties/AssemblyInfo.cs	(revision 7665)
@@ -55,3 +55,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.4.0.0")]
-[assembly: AssemblyFileVersion("3.4.0.7610")]
+[assembly: AssemblyFileVersion("3.4.0.7664")]
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression.Views/3.4/RegressionInstanceProviderView.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression.Views/3.4/RegressionInstanceProviderView.cs	(revision 7664)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression.Views/3.4/RegressionInstanceProviderView.cs	(revision 7665)
@@ -22,5 +22,5 @@
 using System.Windows.Forms;
 using HeuristicLab.MainForm;
-using HeuristicLab.Optimization.Views;
+using HeuristicLab.Problems.Instances.Views;
 
 namespace HeuristicLab.Problems.Instances.Regression.Views {
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Properties/AssemblyInfo.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Properties/AssemblyInfo.cs	(revision 7664)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Properties/AssemblyInfo.cs	(revision 7665)
@@ -55,3 +55,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.4.0.0")]
-[assembly: AssemblyFileVersion("3.4.0.7610")]
+[assembly: AssemblyFileVersion("3.4.0.7664")]
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/HeuristicLab.Problems.Instances.Views-3.4.csproj
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/HeuristicLab.Problems.Instances.Views-3.4.csproj	(revision 7664)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/HeuristicLab.Problems.Instances.Views-3.4.csproj	(revision 7665)
@@ -3,8 +3,8 @@
   <PropertyGroup>
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
-    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
     <ProductVersion>8.0.30703</ProductVersion>
     <SchemaVersion>2.0</SchemaVersion>
-    <ProjectGuid>{1BFDCC58-E228-46DE-A36E-8503194B434D}</ProjectGuid>
+    <ProjectGuid>{B1BA398F-953F-4C3A-B07B-1E5E17A27DD9}</ProjectGuid>
     <OutputType>Library</OutputType>
     <AppDesignerFolder>Properties</AppDesignerFolder>
@@ -12,10 +12,7 @@
     <AssemblyName>HeuristicLab.Problems.Instances.Views-3.4</AssemblyName>
     <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
-    <TargetFrameworkProfile>
-    </TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
   </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
-    <PlatformTarget>x86</PlatformTarget>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
     <DebugSymbols>true</DebugSymbols>
     <DebugType>full</DebugType>
@@ -26,6 +23,5 @@
     <WarningLevel>4</WarningLevel>
   </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
-    <PlatformTarget>x86</PlatformTarget>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
     <DebugType>pdbonly</DebugType>
     <Optimize>true</Optimize>
@@ -41,43 +37,22 @@
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
   </PropertyGroup>
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|AnyCPU'">
-    <PlatformTarget>AnyCPU</PlatformTarget>
-    <OutputPath>bin\Debug\</OutputPath>
-  </PropertyGroup>
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|AnyCPU'">
-    <PlatformTarget>AnyCPU</PlatformTarget>
-    <OutputPath>..\..\..\..\trunk\sources\bin\</OutputPath>
-  </PropertyGroup>
-  <PropertyGroup>
-    <StartupObject />
-  </PropertyGroup>
   <ItemGroup>
     <Reference Include="HeuristicLab.Common-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
-    <Reference Include="HeuristicLab.Common.Resources-3.3">
-      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Common.Resources-3.3.dll</HintPath>
-    </Reference>
-    <Reference Include="HeuristicLab.MainForm-3.3">
-      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.MainForm-3.3.dll</HintPath>
-    </Reference>
-    <Reference Include="HeuristicLab.MainForm.WindowsForms-3.3">
-      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.MainForm.WindowsForms-3.3.dll</HintPath>
-    </Reference>
-    <Reference Include="HeuristicLab.Optimization-3.3">
-      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Optimization-3.3.dll</HintPath>
-    </Reference>
-    <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
-      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
-    </Reference>
+    <Reference Include="HeuristicLab.Common.Resources-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
+    <Reference Include="HeuristicLab.MainForm-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
+    <Reference Include="HeuristicLab.MainForm.WindowsForms-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
+    <Reference Include="HeuristicLab.PluginInfrastructure-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
     <Reference Include="System" />
     <Reference Include="System.Core" />
+    <Reference Include="System.Drawing" />
+    <Reference Include="System.Windows.Forms" />
     <Reference Include="System.Xml.Linq" />
     <Reference Include="System.Data.DataSetExtensions" />
     <Reference Include="Microsoft.CSharp" />
     <Reference Include="System.Data" />
-    <Reference Include="System.Drawing" />
-    <Reference Include="System.Windows.Forms" />
     <Reference Include="System.Xml" />
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="Plugin.cs" />
     <Compile Include="ProblemInstanceConsumerView.cs">
       <SubType>UserControl</SubType>
@@ -93,7 +68,8 @@
     </Compile>
     <Compile Include="Properties\AssemblyInfo.cs" />
+  </ItemGroup>
+  <ItemGroup>
     <None Include="HeuristicLab.snk" />
     <None Include="Plugin.cs.frame" />
-    <None Include="Properties\AssemblyInfo.cs.frame" />
   </ItemGroup>
   <ItemGroup>
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/Plugin.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/Plugin.cs	(revision 7665)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/Plugin.cs	(revision 7665)
@@ -0,0 +1,34 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Problems.Instances.Views {
+  [Plugin("HeuristicLab.Problems.Instances.Views", "3.4.0.7664")]
+  [PluginFile("HeuristicLab.Problems.Instances.Views-3.4.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
+  [PluginDependency("HeuristicLab.MainForm", "3.3")]
+  [PluginDependency("HeuristicLab.MainForm.WindowsForms", "3.3")]
+  [PluginDependency("HeuristicLab.Problems.Instances", "3.3")]
+  public class HeuristicLabProblemsInstancesPlugin : PluginBase {
+  }
+}
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/Plugin.cs.frame
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/Plugin.cs.frame	(revision 7664)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/Plugin.cs.frame	(revision 7665)
@@ -26,9 +26,8 @@
   [PluginFile("HeuristicLab.Problems.Instances.Views-3.4.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
   [PluginDependency("HeuristicLab.MainForm", "3.3")]
   [PluginDependency("HeuristicLab.MainForm.WindowsForms", "3.3")]
-  [PluginDependency("HeuristicLab.Optimization", "3.3")]
   [PluginDependency("HeuristicLab.Problems.Instances", "3.3")]
-  [PluginDependency("HeuristicLab.Problems.Instances.Regression", "3.4")]
   public class HeuristicLabProblemsInstancesPlugin : PluginBase {
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceConsumerView.Designer.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceConsumerView.Designer.cs	(revision 7664)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceConsumerView.Designer.cs	(revision 7665)
@@ -45,5 +45,4 @@
     /// </summary>
     private void InitializeComponent() {
-      this.components = new System.ComponentModel.Container();
       this.problemInstanceProviderComboBox = new System.Windows.Forms.ComboBox();
       this.libraryInfoButton = new System.Windows.Forms.Button();
@@ -56,5 +55,5 @@
       this.problemInstanceProviderComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
       this.problemInstanceProviderComboBox.FormattingEnabled = true;
-      this.problemInstanceProviderComboBox.Location = new System.Drawing.Point(49, 0);
+      this.problemInstanceProviderComboBox.Location = new System.Drawing.Point(50, 0);
       this.problemInstanceProviderComboBox.Name = "problemInstanceProviderComboBox";
       this.problemInstanceProviderComboBox.Size = new System.Drawing.Size(171, 21);
@@ -76,5 +75,5 @@
       // 
       this.libraryLabel.AutoSize = true;
-      this.libraryLabel.Location = new System.Drawing.Point(5, 4);
+      this.libraryLabel.Location = new System.Drawing.Point(3, 3);
       this.libraryLabel.Name = "libraryLabel";
       this.libraryLabel.Size = new System.Drawing.Size(41, 13);
@@ -84,25 +83,26 @@
       // problemInstanceProviderViewHost
       // 
-      this.problemInstanceProviderViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.problemInstanceProviderViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.problemInstanceProviderViewHost.Caption = "View";
       this.problemInstanceProviderViewHost.Content = null;
       this.problemInstanceProviderViewHost.Enabled = false;
-      this.problemInstanceProviderViewHost.Location = new System.Drawing.Point(0, 0);
+      this.problemInstanceProviderViewHost.Location = new System.Drawing.Point(258, 0);
       this.problemInstanceProviderViewHost.Name = "problemInstanceProviderViewHost";
       this.problemInstanceProviderViewHost.ReadOnly = false;
-      this.problemInstanceProviderViewHost.Size = new System.Drawing.Size(251, 22);
+      this.problemInstanceProviderViewHost.Size = new System.Drawing.Size(433, 22);
       this.problemInstanceProviderViewHost.TabIndex = 15;
       this.problemInstanceProviderViewHost.ViewsLabelVisible = false;
       this.problemInstanceProviderViewHost.ViewType = null;
       // 
-      // ProblemInstanceConsumableView
+      // ProblemInstanceConsumerView
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.problemInstanceProviderViewHost);
       this.Controls.Add(this.problemInstanceProviderComboBox);
       this.Controls.Add(this.libraryInfoButton);
       this.Controls.Add(this.libraryLabel);
-      this.Name = "ProblemInstanceConsumableView";
+      this.Name = "ProblemInstanceConsumerView";
       this.Size = new System.Drawing.Size(694, 21);
       this.ResumeLayout(false);
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceConsumerView.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceConsumerView.cs	(revision 7664)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceConsumerView.cs	(revision 7665)
@@ -73,15 +73,19 @@
     private void problemInstanceProviderComboBox_SelectedIndexChanged(object sender, System.EventArgs e) {
       if (problemInstanceProviderComboBox.SelectedIndex >= 0) {
-        //dynamic provider = SelectedProvider;
-        //dynamic consumer = Content;
-        //provider.Consumer = consumer;
         problemInstanceProviderViewHost.Content = SelectedProvider;
         dynamic view = problemInstanceProviderViewHost.ActiveView;
-        view.Consumer = Content;
-        //Check if IProblemInstanceExporterView is implemented
-        view.Exporter = Content;
+        dynamic content = Content;
+        view.Consumer = content;
+        if (CheckForIProblemInstanceExporter(Content))
+          view.Exporter = content;
         //SetTooltip();
       }
       SetEnabledStateOfControls();
+    }
+
+    private bool CheckForIProblemInstanceExporter(IProblemInstanceConsumer content) {
+      // no check if IProblemInstanceConsumer<T> and IProblemInstanceExporter<T> have the same generic type T
+      return Content.GetType().GetInterfaces()
+                    .Any(x => x.IsGenericType && x.GetGenericTypeDefinition().Equals(typeof(IProblemInstanceExporter<>)));
     }
 
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceProviderView.Designer.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceProviderView.Designer.cs	(revision 7664)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceProviderView.Designer.cs	(revision 7665)
@@ -54,4 +54,9 @@
       this.exportButton = new System.Windows.Forms.Button();
       this.saveFileDialog = new System.Windows.Forms.SaveFileDialog();
+      this.problemInstanceProviderSplitContainer = new System.Windows.Forms.SplitContainer();
+      ((System.ComponentModel.ISupportInitialize)(this.problemInstanceProviderSplitContainer)).BeginInit();
+      this.problemInstanceProviderSplitContainer.Panel1.SuspendLayout();
+      this.problemInstanceProviderSplitContainer.Panel2.SuspendLayout();
+      this.problemInstanceProviderSplitContainer.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -59,5 +64,5 @@
       // 
       this.loadButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.loadButton.Location = new System.Drawing.Point(601, -1);
+      this.loadButton.Location = new System.Drawing.Point(604, 0);
       this.loadButton.Name = "loadButton";
       this.loadButton.Size = new System.Drawing.Size(26, 23);
@@ -70,5 +75,5 @@
       // 
       this.instanceLabel.AutoSize = true;
-      this.instanceLabel.Location = new System.Drawing.Point(-3, 3);
+      this.instanceLabel.Location = new System.Drawing.Point(3, 4);
       this.instanceLabel.Name = "instanceLabel";
       this.instanceLabel.Size = new System.Drawing.Size(51, 13);
@@ -78,11 +83,11 @@
       // instancesComboBox
       // 
-      this.instancesComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.instancesComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.instancesComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
       this.instancesComboBox.FormattingEnabled = true;
-      this.instancesComboBox.Location = new System.Drawing.Point(54, 0);
+      this.instancesComboBox.Location = new System.Drawing.Point(60, 1);
       this.instancesComboBox.Name = "instancesComboBox";
-      this.instancesComboBox.Size = new System.Drawing.Size(541, 21);
+      this.instancesComboBox.Size = new System.Drawing.Size(538, 21);
       this.instancesComboBox.TabIndex = 7;
       this.instancesComboBox.DataSourceChanged += new System.EventHandler(this.comboBox_DataSourceChanged);
@@ -91,5 +96,5 @@
       // 
       this.importButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.importButton.Location = new System.Drawing.Point(633, -1);
+      this.importButton.Location = new System.Drawing.Point(636, 0);
       this.importButton.Name = "importButton";
       this.importButton.Size = new System.Drawing.Size(26, 23);
@@ -107,5 +112,5 @@
       // 
       this.exportButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.exportButton.Location = new System.Drawing.Point(665, -1);
+      this.exportButton.Location = new System.Drawing.Point(-1, 0);
       this.exportButton.Name = "exportButton";
       this.exportButton.Size = new System.Drawing.Size(26, 23);
@@ -121,17 +126,41 @@
       this.saveFileDialog.Title = "Save RegressionInstance...";
       // 
+      // problemInstanceProviderSplitContainer
+      // 
+      this.problemInstanceProviderSplitContainer.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.problemInstanceProviderSplitContainer.FixedPanel = System.Windows.Forms.FixedPanel.Panel2;
+      this.problemInstanceProviderSplitContainer.IsSplitterFixed = true;
+      this.problemInstanceProviderSplitContainer.Location = new System.Drawing.Point(0, -1);
+      this.problemInstanceProviderSplitContainer.Name = "problemInstanceProviderSplitContainer";
+      // 
+      // problemInstanceProviderSplitContainer.Panel1
+      // 
+      this.problemInstanceProviderSplitContainer.Panel1.Controls.Add(this.instanceLabel);
+      this.problemInstanceProviderSplitContainer.Panel1.Controls.Add(this.instancesComboBox);
+      this.problemInstanceProviderSplitContainer.Panel1.Controls.Add(this.importButton);
+      this.problemInstanceProviderSplitContainer.Panel1.Controls.Add(this.loadButton);
+      // 
+      // problemInstanceProviderSplitContainer.Panel2
+      // 
+      this.problemInstanceProviderSplitContainer.Panel2.Controls.Add(this.exportButton);
+      this.problemInstanceProviderSplitContainer.Size = new System.Drawing.Size(694, 22);
+      this.problemInstanceProviderSplitContainer.SplitterDistance = 665;
+      this.problemInstanceProviderSplitContainer.TabIndex = 9;
+      // 
       // ProblemInstanceProviderView
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Controls.Add(this.exportButton);
-      this.Controls.Add(this.instancesComboBox);
-      this.Controls.Add(this.importButton);
-      this.Controls.Add(this.loadButton);
-      this.Controls.Add(this.instanceLabel);
+      this.Controls.Add(this.problemInstanceProviderSplitContainer);
       this.Name = "ProblemInstanceProviderView";
       this.Size = new System.Drawing.Size(694, 21);
+      this.problemInstanceProviderSplitContainer.Panel1.ResumeLayout(false);
+      this.problemInstanceProviderSplitContainer.Panel1.PerformLayout();
+      this.problemInstanceProviderSplitContainer.Panel2.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.problemInstanceProviderSplitContainer)).EndInit();
+      this.problemInstanceProviderSplitContainer.ResumeLayout(false);
       this.ResumeLayout(false);
-      this.PerformLayout();
 
     }
@@ -147,4 +176,5 @@
     protected System.Windows.Forms.Button exportButton;
     private System.Windows.Forms.SaveFileDialog saveFileDialog;
+    private System.Windows.Forms.SplitContainer problemInstanceProviderSplitContainer;
 
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceProviderView.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceProviderView.cs	(revision 7664)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceProviderView.cs	(revision 7665)
@@ -68,6 +68,8 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      instancesComboBox.Enabled = !ReadOnly && !Locked && Content != null && Content.Consumer != null;
-      loadButton.Enabled = !ReadOnly && !Locked && Content != null && Content.Consumer != null;
+      instancesComboBox.Enabled = !ReadOnly && !Locked && Content != null && Consumer != null;
+      loadButton.Enabled = !ReadOnly && !Locked && Content != null && Consumer != null;
+      exportButton.Enabled = !ReadOnly && !Locked && Content != null && Exporter != null;
+      problemInstanceProviderSplitContainer.Panel2Collapsed = !exportButton.Enabled;
     }
 
@@ -76,5 +78,5 @@
       var instance = Content.LoadData(descriptor);
       try {
-        Content.Consumer.Load(instance);
+        Consumer.Load(instance);
       }
       catch (Exception ex) {
@@ -95,5 +97,5 @@
         }
         try {
-          Content.Consumer.Load(instance);
+          Consumer.Load(instance);
         }
         catch (Exception ex) {
@@ -106,7 +108,5 @@
       if (saveFileDialog.ShowDialog(this) == DialogResult.OK) {
         try {
-          var descriptor = (IDataDescriptor)instancesComboBox.SelectedItem;
-          var instance = Content.LoadData(descriptor);
-          Content.SaveData(instance, saveFileDialog.FileName);
+          Content.SaveData(Exporter.Export(), saveFileDialog.FileName);
         }
         catch (Exception ex) {
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/Properties/AssemblyInfo.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/Properties/AssemblyInfo.cs	(revision 7664)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/Properties/AssemblyInfo.cs	(revision 7665)
@@ -1,4 +1,24 @@
-﻿using System.Reflection;
-using System.Runtime.CompilerServices;
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
 using System.Runtime.InteropServices;
 
@@ -6,10 +26,10 @@
 // set of attributes. Change these attribute values to modify the information
 // associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab.Problems.Instances.Views-3.4")]
-[assembly: AssemblyDescription("")]
+[assembly: AssemblyTitle("HeuristicLab.Problems.Instances.Views")]
+[assembly: AssemblyDescription("Provides views for Problem Instances.")]
 [assembly: AssemblyConfiguration("")]
 [assembly: AssemblyCompany("")]
-[assembly: AssemblyProduct("HeuristicLab.Problems.Instances.Views-3.4")]
-[assembly: AssemblyCopyright("Copyright ©  2012")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2012 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -30,7 +50,6 @@
 //      Revision
 //
-// You can specify all the values or you can default the Build and Revision Numbers 
+// You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-// [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("1.0.0.0")]
-[assembly: AssemblyFileVersion("1.0.0.0")]
+[assembly: AssemblyVersion("3.4.0.0")]
+[assembly: AssemblyFileVersion("3.4.2.7664")]
